package com.brilliance.isc.common.trnsig.vo;

import com.brilliance.isc.bo.Auzlvl;
import com.brilliance.isc.bo.Ubr;
import com.brilliance.isc.bo.Usr;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import lombok.Data;

@Data
public class TrnsigVo extends AbstractCommonVo {

    private Usr usr;
    private Ubr ubr;
    private Auzlvl auzlvl;

    @Override
    public void reset() {
        if (usr == null) {
            usr = new Usr();
        }
        if (ubr == null) {
            ubr = new Ubr();
        }
        if (auzlvl == null) {
            auzlvl = new Auzlvl();
        }
    }
}
